package com.gic.haoban.manage.service.service;

import java.util.List;

import com.gic.haoban.manage.api.dto.WxEnterpriseDTO;
import com.gic.haoban.manage.api.dto.WxEnterpriseQwDTO;
import com.gic.haoban.manage.service.entity.TabHaobanWxEnterprise;

public interface WxEnterpriseService {
	
	String add(WxEnterpriseDTO wxDTO);

	WxEnterpriseDTO selectById(String wxEnterpriseId);
	
	/**
	 * 
	* @Title: getQwInfo
	* @Description: 获取商户企微信息
	* @author xugh
	* @param wxEnterpriseId
	* @return
	* @throws
	 */
	WxEnterpriseQwDTO getQwInfo(String wxEnterpriseId);
	

	/**
	 * 通过微信企业ID查询好办企业ID
	 * @param corpId
	 * @return
     */
	TabHaobanWxEnterprise getEnterpriseBycorpId(String corpId);

	void update(WxEnterpriseDTO enterpriseDTO);

	int delete(String wxEnterpriseId);

	int unbind(String wxEnterpriseId);

	TabHaobanWxEnterprise getEnterpriseBycorpIdNoStatus(String corpid);


	/**
	 * 得到企业bycorp名称
	 *
	 * @param corpName 公司名称
	 * @return {@link TabHaobanWxEnterprise }
	 * @author mozhu
	 * @date 2021-12-20 20:09:21
	 */
	TabHaobanWxEnterprise getEnterpriseByCorpName(String corpName);

	/**
	 * 所有企业微信
	 *
	 * @return
	 */
	List<TabHaobanWxEnterprise> listAll();

	/**
	 * 更新userid
	 *
	 * @param useridFlag     userid国旗
	 * @param corpid         corpid
	 * @param wxEnterpriseId wx企业标识
	 * @return int
	 * @author mozhu
	 * @date 2022-06-30 18:49:31
	 */
	int updateUseridFlagById(Integer useridFlag, String corpid, String wxEnterpriseId);

    void stopHaoban(String enterpriseId);

}
